Module java.corba
Package org.omg.IOP

## Class TaggedProfile

- java.lang.Object
- - org.omg.IOP.TaggedProfile

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public final class TaggedProfile
      extends Object
      implements IDLEntity

  org/omg/IOP/TaggedProfile.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java9-openjdk/src/jdk9u-jdk-9.0.4+11/corba/src/java.corba/share/classes/org/omg/PortableInterceptor/IOP.idl Saturday, February 3, 2018 2:12:28 PM UTC

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte[]` | `profile_data` | The associated profile data.
    `int` | `tag` | The tag, represented as a profile id.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaggedProfile​()` |
    `TaggedProfile​(int _tag, byte[] _profile_data)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public int tag

      The tag, represented as a profile id.

    - #### profile_data

          public byte[] profile_data

      The associated profile data.

  - ### Constructor Detail

    - #### TaggedProfile

          public TaggedProfile​()

    - #### TaggedProfile

          public TaggedProfile​(int _tag,
                               byte[] _profile_data)